Overview

List all dashboards

List dashboards visible to the caller.

If you authenticate with an API token, this endpoint doesn't return private dashboards. It only returns dashboards shared with everyone in your organization or with a group.

GET/v2/dashboards
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input2
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
limitinteger · query
(query)
offsetinteger · query
(query)
Output8
createdAtstring
createdBystring
dashboardobject
idstring
uidstring
updatedAtstring
updatedBystring
versioninteger
Responses
200List of dashboards
Example input
curl 'https://api.axiom.co/v2/dashboards' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
[
  {
    "createdAt": "2024-01-01T00:00:00Z",
    "createdBy": "string",
    "dashboard": {
      "name": "string",
      "owner": "string",
      "description": "string",
      "charts": [
        {
          "id": null,
          "type": "TimeSeries",
          "name": null,
          "query": null
        }
      ],
      "layout": [
        {
          "i": null,
          "x": null,
          "y": null,
          "w": null,
          "h": null,
          "minW": null,
          "minH": null,
          "maxW": null,
          "maxH": null,
          "static": null
        }
      ],
      "refreshTime": 15,
      "schemaVersion": 2,
      "against": "-1h",
      "againstTimestamp": "string",
      "timeWindowStart": "string",
      "timeWindowEnd": "string",
      "uid": "string"
    },
    "id": "string",
    "uid": "string",
    "updatedAt": "2024-01-01T00:00:00Z",
    "updatedBy": "string",
    "version": 0
  }
]

Updated

Was this page helpful?